#include <bits/stdc++.h>
#define pb push_back
#define pf push_front
#define fi first
#define se second
#define maxn 200050

using namespace std;
typedef long long ll;

int k;
string s, t;
int a[maxn];
int b[maxn];

int main()
{
	ios::sync_with_stdio(0);
	cin.tie(0);
	cin >> s >> t;
	if(t=="ab")
    {
        int res=0;
        a[0]=0;
        for(int i=1; i<s.size(); i++)
        {
            a[i]=a[i-1];
            if(s[i]=='a') a[i]++;
        }
        b[s.size()-1]=0;
        for(int i=s.size()-2; i>=0; i--)
        {
            b[i]=b[i+1];
            if(s[i]=='b') b[i]++;
        }
        int m=maxn;
        for(int i=0; i<s.size(); i++)
        {
            if(a[i]+b[i]<m)
            {
                m=a[i]+b[i];
                k=i;
            }
        }
        for(int i=0; i<k; i++)
        {
            if(s[i]=='a')
            {
                res++;
                s[i]='*';
            }
        }
        for(int i=k+1; i<s.size(); i++)
        {
            if(s[i]=='b')
            {
                res++;
                s[i]='*';
            }
        }
        cout << res << "\n";
        cout << s << "\n";
    }
    else
    {
        int k=0;
        for(int i=0; i<s.size(); i++)
        {
            if(s[i]=='a') k++;
        }
        int res=0;
        for(int i=0; i<s.size(); i++)
        {
            if(s[i]=='a' && k>=t.size())
            {
                s[i]='*';
                k--;
                res++;
            }
        }
        cout << res << "\n";
        cout << s << "\n";
    }
}